logo
MailboxesPoll SMTP connection test status

Poll SMTP connection test status

Poll this after POST /v1/mailboxes to learn whether the background SMTP verification has completed.

  • pending — worker has not yet finished testing.
  • passed — SMTP/IMAP credentials verified; mailbox is now active.
  • failed — verification failed. The worker may have deleted the mailbox; the response then reports the failure rather than a 404.
curl -X GET "https://api.sendkit.ai/v1/mailboxes/example_string/connection-test" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY"
{
  "success": true,
  "data": {
    "status": "pending"
  }
}
GET
/v1/mailboxes/{mailboxId}/connection-test
GET
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

Path Parameters

Responses

successboolean
dataobject